/***************************************************************************
 *   Copyright (C) 2004 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "feeddialog.h"

#include <qlayout.h>
#include <qlabel.h>
#include <klineedit.h>
#include <klocale.h>

FeedDialog::FeedDialog( QWidget *parent, const QString &name, const QString &url )
   : KDialogBase( parent, 0, true, i18n( "Feed" ), KDialogBase::Ok|KDialogBase::Cancel )
{
   QWidget *main = new QWidget( this );
   setMainWidget( main );
   QGridLayout *lo = new QGridLayout( main, 2, 2, 0, spacingHint() );
   lo->addWidget( new QLabel( i18n( "Name:" ), main ), 0, 0 );
   m_pName = new KLineEdit( name, main );
   m_pName->setMinimumWidth( fontMetrics().maxWidth() * 20 );
   lo->addWidget( m_pName, 0, 1 );
   lo->addWidget( new QLabel( i18n( "URL:" ), main ), 1, 0 );
   m_pURL = new KLineEdit( url, main );
   lo->addWidget( m_pURL, 1, 1 );
}

QString FeedDialog::name()
{
   return m_pName->text();
}

QString FeedDialog::url()
{
   return m_pURL->text();
}

#include "feeddialog.moc"
